Index: Makefile
===================================================================
--- Makefile	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
+++ Makefile	(revision b2c61c650037db33984a38f3e432c88ca9597bb5)
@@ -203,5 +203,5 @@
                 $(RENDERTMP)/sysv-md5sum.xml
 	$(Q)sed -i -e \
-       "s/BOOTSCRIPTS-MD5SUM/$(shell md5sum lfs-bootscripts*.tar.bz2 | cut -d' ' -f1)/" \
+       "s/BOOTSCRIPTS-MD5SUM/$(shell md5sum lfs-bootscripts*.tar.xz | cut -d' ' -f1)/" \
        $(BASEDIR)/md5sums
 
Index: aux-file-data.sh
===================================================================
--- aux-file-data.sh	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
+++ aux-file-data.sh	(revision b2c61c650037db33984a38f3e432c88ca9597bb5)
@@ -11,6 +11,6 @@
 
 # Bootscript data
-bootscripts=$(ls lfs-bootscripts*.bz2)
-base=$(basename $bootscripts .tar.bz2)
+bootscripts=$(ls lfs-bootscripts*.xz)
+base=$(basename $bootscripts .tar.xz)
 bootsize=$(ls -l --block-size=1024 $bootscripts | cut -f5 -d" ")
 bootmd5=$(md5sum $bootscripts | cut -f1 -d" ")
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
+++ chapter01/changelog.xml	(revision b2c61c650037db33984a38f3e432c88ca9597bb5)
@@ -46,4 +46,51 @@
        -->
     <listitem>
+      <para>2019-06-24</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Fixed issue with installing Check's documentation
+          in a verisoned directory. Thanks goes to Ryan Marsaw for the report.
+          This was fixed be removing the unrecognized/unused --docdir
+          and replacing it with a "docdir=" in the make install command.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2019-06-16</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Properly initialize a data structure in
+          OpenSSL to avoid valgrind uninitialized value errors. Fixes
+          <ulink url="&lfs-ticket-root;4491">#4491</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.51.0. Fixes
+          <ulink url="&lfs-ticket-root;4483">#4483</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gawk-5.0.1. Fixes
+          <ulink url="&lfs-ticket-root;4486">#4486</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to expat-2.2.7. Fixes
+          <ulink url="&lfs-ticket-root;4488">#4488</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.1.15. Fixes
+          <ulink url="&lfs-ticket-root;4487">#4487</ulink>.</para>
+        </listitem>
+        <listitem revision="sysv">
+          <para>[bdubbs] - Update to sysvinit-2.95. Fixes
+          <ulink url="&lfs-ticket-root;4484">#4484</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bzip2-1.0.7. Fixes
+          <ulink url="&lfs-ticket-root;4490">#4490</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2019-06-18</para>
       <itemizedlist>
@@ -71,5 +118,5 @@
           <ulink url="&lfs-ticket-root;4478">#4478</ulink>.</para>
         </listitem>
-        <listitem revision="sysv">
+        <listitem>
           <para>[bdubbs] - Update to less-551. Fixes
           <ulink url="&lfs-ticket-root;4477">#4477</ulink>.</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
+++ chapter01/whatsnew.xml	(revision b2c61c650037db33984a38f3e432c88ca9597bb5)
@@ -51,7 +51,7 @@
       <para>Bison-&bison-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Bzip2-&bzip2-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Check-&check-version;</para>
@@ -75,7 +75,7 @@
       <para>Eudev-&eudev-version;</para>
    </listitem>
-   <!--<listitem>
+   <listitem>
       <para>Expat-&expat-version;</para>
-   </listitem>-->
+   </listitem>
    <!-- <listitem>
       <para>Expect-&expect-version;</para>
Index: chapter06/check.xml
===================================================================
--- chapter06/check.xml	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
+++ chapter06/check.xml	(revision b2c61c650037db33984a38f3e432c88ca9597bb5)
@@ -43,6 +43,5 @@
     <para>Prepare Check for compilation:</para>
 
-<screen><userinput remap="configure">./configure --prefix=/usr \
-            --docdir=/usr/share/doc/check-&check-version;</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>
 
     <para>Build the package:</para>
@@ -60,5 +59,5 @@
     <para>Install the package and fix a script:</para>
 
-<screen><userinput remap="install">make install
+    <screen><userinput remap="install">make docdir=/usr/share/doc/check-&check-version; install
 sed -i '1 s/tools/usr/' /usr/bin/checkmk</userinput></screen>
 
Index: chapter06/libtool.xml
===================================================================
--- chapter06/libtool.xml	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
+++ chapter06/libtool.xml	(revision b2c61c650037db33984a38f3e432c88ca9597bb5)
@@ -51,5 +51,5 @@
 <screen><userinput remap="make">make</userinput></screen>
 
-    <para>To test the results (about 11.0 SBU), issue:</para>
+<para>To test the results<!--(about 11.0 SBU)-->, issue:</para>
 
 <screen><userinput remap="test">make check</userinput></screen>
Index: chapter06/openssl.xml
===================================================================
--- chapter06/openssl.xml	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
+++ chapter06/openssl.xml	(revision b2c61c650037db33984a38f3e432c88ca9597bb5)
@@ -43,4 +43,9 @@
   <sect2 role="installation">
     <title>Installation of OpenSSL</title>
+
+    <para>First, fix a problem identified upstream:</para>
+
+<screen><userinput remap="pre">sed -i '/\} data/s/ =.*$/;\n    memset(\&amp;data, 0, sizeof(data));/' \
+  crypto/rand/rand_lib.c</userinput></screen>
 
     <para>Prepare OpenSSL for compilation:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
+++ general.ent	(revision b2c61c650037db33984a38f3e432c88ca9597bb5)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20190618">
+<!ENTITY version         "SVN-20190629">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20190618-systemd">
+<!ENTITY versiond        "20190629-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "June 18, 2019">
+<!ENTITY releasedate     "June 29, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: make-aux-files.sh
===================================================================
--- make-aux-files.sh	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
+++ make-aux-files.sh	(revision b2c61c650037db33984a38f3e432c88ca9597bb5)
@@ -1,5 +1,5 @@
 #!/bin/bash
 
-rm -f lfs-bootscripts*.tar.bz2
+rm -f lfs-bootscripts*.tar.?z*
 
 # Get base file name and move bootscripts directory to that name
@@ -8,5 +8,5 @@
 
 # Create the tarball and clean up
-tar -cjf lfs-bootscripts-$version.tar.bz2 --exclude .svn lfs-bootscripts-$version
+tar -cJf lfs-bootscripts-$version.tar.xz --exclude .svn lfs-bootscripts-$version
 mv lfs-bootscripts-$version bootscripts 
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
+++ packages.ent	(revision b2c61c650037db33984a38f3e432c88ca9597bb5)
@@ -81,8 +81,8 @@
 <!ENTITY bison-ch6-sbu "0.3 SBU">
 
-<!ENTITY bzip2-version "1.0.6">
-<!ENTITY bzip2-size "764 KB">
+<!ENTITY bzip2-version "1.0.7">
+<!ENTITY bzip2-size "791 KB">
 <!ENTITY bzip2-url "https://www.sourceware.org/pub/bzip2/bzip2-&bzip2-version;.tar.gz">
-<!ENTITY bzip2-md5 "00b516f4704d4a7cb50a1d97e6e8e15b">
+<!ENTITY bzip2-md5 "1a6a61cc867be4f3d6549037a09bf13e">
 <!--<!ENTITY bzip2-home "http://www.bzip.org/">-->
 <!ENTITY bzip2-ch5-du "5.5 MB">
@@ -168,8 +168,8 @@
 <!ENTITY eudev-ch6-sbu "0.2 SBU">
 
-<!ENTITY expat-version "2.2.6">
-<!ENTITY expat-size "502 KB">
-<!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.bz2">
-<!ENTITY expat-md5 "ca047ae951b40020ac831c28859161b2">
+<!ENTITY expat-version "2.2.7">
+<!ENTITY expat-size "415 KB">
+<!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.xz">
+<!ENTITY expat-md5 "3659bc0938db78815b5f5a9c24d732aa">
 <!ENTITY expat-home "https://libexpat.github.io/">
 <!ENTITY expat-ch6-du "11 MB">
@@ -213,8 +213,8 @@
 <!ENTITY flex-ch6-sbu "0.4 SBU">
 
-<!ENTITY gawk-version "5.0.0">
-<!ENTITY gawk-size "2,931 KB">
+<!ENTITY gawk-version "5.0.1">
+<!ENTITY gawk-size "3,063 KB">
 <!ENTITY gawk-url "&gnu;gawk/gawk-&gawk-version;.tar.xz">
-<!ENTITY gawk-md5 "129d061e362778cad070d1bbfe2b1183">
+<!ENTITY gawk-md5 "f9db3f6715207c6f13719713abc9c707">
 <!ENTITY gawk-home "&gnu-software;gawk/">
 <!ENTITY gawk-ch5-du "43 MB">
@@ -392,5 +392,5 @@
 <!ENTITY lfs-bootscripts-version "20190524">      <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">        
-<!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
+<!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.xz">
 <!ENTITY lfs-bootscripts-md5 "BOOTSCRIPTS-MD5SUM">  
 <!ENTITY lfs-bootscripts-home " ">
@@ -432,10 +432,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "1">
-<!ENTITY linux-patch-version "11">
+<!ENTITY linux-patch-version "15">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "103,772 KB">
+<!ENTITY linux-size "103,784 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "4f1eda4b7f6a4a6e2d66563cba307ce8">
+<!ENTITY linux-md5 "373a50ac09f662469fe1c699b2cb2520">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -469,7 +469,7 @@
 
 <!ENTITY make-version "4.2.1">
-<!ENTITY make-size "1,375 KB">
-<!ENTITY make-url "&gnu;make/make-&make-version;.tar.bz2">
-<!ENTITY make-md5 "15b012617e7c44c0ed482721629577ac">
+<!ENTITY make-size "1,932 KB">
+<!ENTITY make-url "&gnu;make/make-&make-version;.tar.gz">
+<!ENTITY make-md5 "7d0dcb6c474b258aab4d54098f2cf5a7">
 <!ENTITY make-home "&gnu-software;make/">
 <!ENTITY make-ch5-du "13 MB">
@@ -494,8 +494,8 @@
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.50.1">
-<!ENTITY meson-size "1,370 KB">
+<!ENTITY meson-version "0.51.0">
+<!ENTITY meson-size "1,416 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "24a6527796115828d2ebc75880e18d62">
+<!ENTITY meson-md5 "a091995861e0bc23e3c856b0c8d1ef90">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-ch6-du "24 MB">
@@ -655,8 +655,8 @@
 <!ENTITY systemd-ch6-sbu  "2.4 SBU">
 
-<!ENTITY sysvinit-version "2.94">
-<!ENTITY sysvinit-size "119 KB">
+<!ENTITY sysvinit-version "2.95">
+<!ENTITY sysvinit-size "122 KB">
 <!ENTITY sysvinit-url "&savannah;/releases/sysvinit/sysvinit-&sysvinit-version;.tar.xz">
-<!ENTITY sysvinit-md5 "885ae742d51dbae8d16f535455c0240a">
+<!ENTITY sysvinit-md5 "66f488c952c70ff4245774fc7e87e529">
 <!ENTITY sysvinit-home "https://savannah.nongnu.org/projects/sysvinit">
 <!ENTITY sysvinit-ch6-du "1.3 MB">
@@ -700,6 +700,6 @@
 <!ENTITY udev-lfs-version "udev-lfs-20171102">
 <!ENTITY udev-lfs-size    "11 KB">
-<!ENTITY udev-lfs-url     "&anduin-sources;/&udev-lfs-version;.tar.bz2">
-<!ENTITY udev-lfs-md5     "d92afb0c6e8e616792068ee4737b0d24">
+<!ENTITY udev-lfs-url     "&anduin-sources;/&udev-lfs-version;.tar.xz">
+<!ENTITY udev-lfs-md5     "27cd82f9a61422e186b9d6759ddf1634">
 <!ENTITY udev-lfs-home    " ">
 
Index: patches.ent
===================================================================
--- patches.ent	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
+++ patches.ent	(revision b2c61c650037db33984a38f3e432c88ca9597bb5)
@@ -54,5 +54,5 @@
 <!ENTITY ninja-limit-jobs-patch-size "2.5 KB">
 -->
-<!ENTITY sysvinit-consolidated-patch "sysvinit-&sysvinit-version;-consolidated-4.patch">
+<!ENTITY sysvinit-consolidated-patch "sysvinit-&sysvinit-version;-consolidated-1.patch">
 <!ENTITY sysvinit-consolidated-patch-md5 "4900322141d493e74020c9cf437b2cdc">
 <!ENTITY sysvinit-consolidated-patch-size "2.4 KB">
